Package com.avaya.clientservices.common

## Enum SignalingServer.FailbackPolicy

- java.lang.Object
- - java.lang.Enum<SignalingServer.FailbackPolicy>
  - - com.avaya.clientservices.common.SignalingServer.FailbackPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SignalingServer.FailbackPolicy>`
  Enclosing class:
    SignalingServer

      public static enum SignalingServer.FailbackPolicy
      extends java.lang.Enum<SignalingServer.FailbackPolicy>

  Enumerated type to define how failing back to a server with a higher priority than the current server is handled.

  When the connection to a primary server is lost the signaling engine will "fail over" to an alternate server if one is available. This policy determines how the signaling engine "fails back" to the primary server when the connection with the primary server is re-established.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTOMATIC` | Failback occurs automatically as soon as a connection with the primary server is re-established.
    `MANUAL` | Failback will not occur until the administrator triggers a manual failback, or connection with this server is lost.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SignalingServer.FailbackPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SignalingServer.FailbackPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTOMATIC

          public static final SignalingServer.FailbackPolicy AUTOMATIC

      Failback occurs automatically as soon as a connection with the primary server is re-established.

    - #### MANUAL

          public static final SignalingServer.FailbackPolicy MANUAL

      Failback will not occur until the administrator triggers a manual failback, or connection with this server is lost.

  - ### Method Detail

    - #### values

          public static SignalingServer.FailbackPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignalingServer.FailbackPolicy c : SignalingServer.FailbackPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignalingServer.FailbackPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null